print('Fixing reports collection');
db.reports.find({}).forEach(function(doc) {
    // Make sure "ts_to" is integer
    if(doc.ts_to) {
        //print('updating: ' + doc._id);
        db.reports.update(
           { _id: doc._id },
           { $set : { "ts_to" : parseInt(doc.ts_to) } }
        )
    }
    // Make sure "ts_from" is integer
    if(doc.ts_from) {
        //print('updating: ' + doc._id);
        db.reports.update(
           { _id: doc._id },
           { $set : { "ts_from" : parseInt(doc.ts_from) } }
        )
    }
    // Make sure "ts" is integer
    if(doc.ts) {
        //print('updating: ' + doc._id);
        db.reports.update(
           { _id: doc._id },
           { $set : { "ts" : parseInt(doc.ts) } }
        )
    }
})

print('Fixing groups collection');
db.groups.find({}).forEach(function(doc) {
    // Rename rep_filters.classifications to rep_filters.categories
    if (doc.rep_filters) {
        for(i = 0; i != doc.rep_filters.length; ++i) {
            if (doc.rep_filters[i].classifications) {
                doc.rep_filters[i].categories = doc.rep_filters[i].classifications;
                delete doc.rep_filters[i].classifications;
            }
        }
        db.groups.update({_id: doc._id}, doc);
    }
})
